debDebFile Class Reference
Collaboration diagram for debDebFile:
[legend]

## Classes

class | ControlExtract
class | MemControlExtract

## Public Member Functions

bool | ExtractTarMember (pkgDirStream &Stream, const char *Name)
bool | ExtractArchive (pkgDirStream &Stream)
const ARArchive::Member * | GotoMember (const char *Name)
FileFd & | GetFile ()
| debDebFile (FileFd &File)

## Protected Member Functions

bool | CheckMember (const char *Name)

## Protected Attributes

FileFd & | File
ARArchive | AR

The documentation for this class was generated from the following files:

- apt-pkg/deb/debfile.h
- apt-pkg/deb/debfile.cc